Cisco Agent Desktop on Windows Vista

Unanswered Question
May 7th, 2007

We have several employees that will be moving to windows vista that are using the CAD/SCD Product Suite Ver. 4.5.7.4. When will Cisco have a CAD that will work with the Vista Operating System. Vista has been out for over a month now, has any beta version been released or anything?

I have this problem too.
0 votes
  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 5 (1 ratings)
Loading.
b-chernish Wed, 05/09/2007 - 13:43

I would also be interested in seeing a Vista compatible Agent Desktop. We are just rolling out IPCC4.5 and I now have to have 2 computers on my desk... My Vista workstation where I can do everything but Desktop Agent and a good ol' XP machine for Agent Desktop

Brian

b-chernish Thu, 05/10/2007 - 09:12

I do not know whether Cisco will or would approve of this workaround, but I will share it for what it is worth.

As far as I can tell, there are a couple of issues. During the install of the Agent Desktop, the file "sllapi.dll" does not get copied to the windows/system32 directory and when you try to launch the Agent Desktop, it fails, noting that that file is missing. I copied that file from another PC (XP Pro) into the system32 directory and the program now works.

On the first launch a popup message is displayed saying the program could not check for updates. After acknowledging that message is becomes more evident as to why. The built in Windows firewall blocks communication between the Agent Desktop and the IPCC server. Once you acknowledge and have windows "Stop Blocking" the program can check for updates on subsequent launches. You will still need to "allow" interaction between the Agent Desktop and your PC when you launch the program, if you have not disabled this annoying Windows service.

You will also likely see Microsoft's "Program Compatibility Assistant" on the first few launches but after firewall issues are corrected it no longer pops up.

I saw similar firewall issues with the Desktop Supervisor but no manual file copies were required to get that working.

Brian

Actions

This Discussion